Bug 75688 - Bad Blocks Reported During Installs With Software RAID
Bad Blocks Reported During Installs With Software RAID
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 22:42 EDT by Bob Cochran
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2002-10-10 22:42:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When performing a workstation install of 8.0 which includes configuring of new
software RAID devices, and partitioning is done manually with Disk Druid, and
"check for bad blocks" is specified on the configured partitions, various error
messages will occur and the install will finally fail on messages indicating
that bad blocks were found on the second physical disk. Due to the use of brand
new equipment, I believe that the error messages are actually software bugs, or
at least poorly handled exceptions.

Please note that installation was attempted several times before it succeeded.
Also, I used 2 different installation media: the DVD provided in the 8.0 Pro
boxed set, and the downloaded ISO images of 8.0. The physical machine
configuration is given under "Additional Information" below.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. At boot prompt, enter linux askmethod
2. Select English, then US for language an keyboard
3. Select NFS image for installation type
4. Select workstation install
5. Select "Manually partition with Disk Druid"
6. At this point I deleted all existing RAID devices and all existing partitions
on /dev/hda and /dev/hdc.
7. Disk druid correctly identified the hard drives as /dev/hda and /dev/hdc,
however it gave very different c/h/s drive geometry numbers for the drives even
though they are the same make, model, capacity.
8. Click new.
9. Check hda as the allowable drive, select software RAID as the type, specify
308 Mb as the partition size. (This will later become /boot).
10. Click check for bad blocks.
11. Click OK.
12. Click new.
13. Repeat steps 9-11 but specify the size as 113145 Mb. (This will later become
/ ).
14. Click the RAID button.
15. Click Clone the device and clone /dev/hda to /dev/hdc.
16. Point to free spac on /dev/hda
17. Click Edit
18. Change filesystem type to SWAP
19. Click check for bad blocks
20. Click OK

At this point, at a random number of install attempts, a warning dialog box will
appear with this message:

"Error: could not allocate requested partitions: partitioning failed: could not
allocate partitions."

21. If the above error showed up, click cancel
22. Click new
23. Select allowable drive=hda, filesystem type=swap, fill to max allowable
size, check for bad blocks.
24. Click OK.

(I was to eventually learn to do steps 22-24 in order to avoid the above error

25. Now click RAID button again.
26. Create RAID device [default=/dev/md0].
27. Click OK
28. Mount on /boot, partitions hda1 and hdc1 belong to this device, then select:
no spares, file system type ext3, RAID1 personality.
29. Click OK.
30. Click RAID button again to make another device.
31. Click create a RAID device [default=/dev/md1].
32. Mount on / , partitions hda2 and hdc2 belong to this device, then select no
spares, file system type ext3, RAID1 personality.
33. Swap is on /dev/hda3.
34. Click OK
35. Click NEXT
36. Accept Grub bootloader defaults, click NEXT
37. Accept network configuration defaults, click NEXT
38. Click no firewall, click NEXT
39. Accept default language of English(USA), do not select any other languages,
click NEXT
40. Select time zone America/New York, click NEXT
41. Configure root account plus 2 users, click NEXT
42. At the workstation defaults window, click customize the set of packages to
be installed, then NEXT
43. Select a number of additional packages
44. Click NEXT 
45. At About To Install screen, click NEXT

At this point, the following message always appeared:

"Warning: the kernel was unable to reread the partition table on /dev/hda
(Device or resource busy.) This means Linux knows nothing about any
modifications you made. You should reboot your computer before doing anything
with /dev/hda."

46. Click Ignore.
47. Click Ignore.
48. A small window will come up which says: checking for bad blocks on /dev/hdxn
where x is a or c and n is the partition number. The checks on /dev/hda all seem
to succeed per later examination of the virtual console outputs. 

But, the bad blocks check for /dev/hdc will take a very long time. When it is
between 44 and 63% complete, the following message always appears:

"An error occured searching for bad blocks on /dev/hdc2. This problem is serious
and the install cannot continue. Press <enter> to reboot your system."

At this point the installation fails.

Actual Results:  Installation uniformly failed with the above configuration. It
finally succeeded only when I did *not* check for bad blocks on /dev/hdc. In
fact, I'm sending you this bug report from that machine now, but it was a tough
install -- had to redo it several times, more than 4 to get it right.

Expected Results:  Considering that the hard drives are brand new, the
installation should have succeeded as configured above.  

Additional info:

System hardware configuration:

Asus P4T533 motherboard, updated to latest BIOS version to support the Intel 2.8
processor. The onboard Promise RAID PDC20276 controller is disabled. This is
done via motherboard jumper and is the only default jumper setting which was
changed. This seems to be depriving me of the use of the RAID IDE connectors as
extra IDE busses.
Intel Pentium 4, 2.8 Ghz CPU.
 2 X 120 Gb Western Digital WD1200JB hard drives, with 8 Mb cache, connected as:

IDE0 - master
IDE1 - master

Using ribbon cable rated ATA133 on the drive connected to IDE0 and rounded IDE
cable rated ATA133 on the drive conencted to IDE1.

Asus 48x DVD-ROM drive, jumpered as slave, connected as slave to IDE0 slave
ribbon connector.

Imation floppy disk drive

512 Mb RIMM4200 memory

ATI RADEON 9000 Pro video card
Comment 1 Bob Cochran 2002-10-10 22:47:59 EDT
I forgot to add one more thing: I replaced the second hard drive with a brand
new one of the same make. Installation failed on that, too. It is extremely
unlikely that 2 drives bought from 2 different vendors and probably representing
2 different manufacturing lots would have physical defects sufficient to be
unusable for OS installation.
Comment 2 Michael Fulbright 2002-11-01 16:54:04 EST
I'll take a look at this as time allows.

I would recommend you just not check for bad blocks.  That option is left over
from a time when drives did not have built in bad block mapping, and we're
seriously considering removing the option pretty soon.
Comment 3 Need Real Name 2002-11-21 23:17:21 EST
Please see this bug: 74463

It seems that the error message are the same when using Promise raid
controllers.  This is what I have.  Is it possible that we cannot install Linux
on the drives configured as hardware RAID?

Comment 4 Bob Cochran 2002-11-21 23:42:55 EST
I'd like to add that I built the system on which these errors occured. I made
some mistakes in the building process. One is that I didn't install all the
available motherboard drivers once I got the system running. (Most of the
drivers aren't Linux compatible.) I only updated the BIOS. This might have
caused, or perhaps exacerbated, the problem. Take this bug report with a grain
of salt.
Comment 5 Jeremy Katz 2003-01-10 02:22:22 EST
We don't allow for checking of badblocks on devices which won't support it now.
Comment 6 Brent Fox 2003-05-25 10:53:13 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.